import sys
import socket
import os

PROGNAME='system-config-netboot'
VERSION = "0.1.45.1"
TRUE=1
FALSE=not TRUE
INSTALLDIR="/usr/share/system-config-netboot"
PXEBOOTDIR="/tftpboot/linux-install/"
PXECFGDIR=PXEBOOTDIR+"pxelinux.cfg/"

def hostname():
    try:
        return socket.gethostbyname(socket.gethostname())
    except:
        return socket.gethostname()
    
def mkdir(DIR):
    try:
        os.makedirs(DIR)
    except OSError,err:
        if err.errno != 17:
            raise err

def getstatusoutput(cmd):
    """Return (status, output) of executing cmd in a shell."""
    import os
    text=""
    pipe = os.popen('{ ' + cmd + '; } 2>&1', 'r')
    try:
        text = pipe.read()
    except IOError,v:
        text = pipe.read()
        
    sts = pipe.close()
    if sts is None: sts = 0
    if text[-1:] == '\n': text = text[:-1]
    return sts, text

def loadprefs(filename):
    try:
        fd = open(filename, 'r')
        for line in fd:
            line = line.strip()
            if line != '' and line[0] != '#':
                (key, value) = line.split('=')
                if key.strip() == 'PXEBOOTDIR':
                    PXEBOOTDIR = value.strip()
        fd.close()
    except IOError:
        # no preferences file found but that's ok,
        # we just use hardcoded values
        pass

loadprefs('/etc/sysconfig/system-config-netboot')
